// -*- c++ -*-
// Generated by gmmproc 2.46.1 -- DO NOT MODIFY!
#ifndef _LIBGDAMM_CONNECTION_P_H
#define _LIBGDAMM_CONNECTION_P_H


#include <glibmm/private/object_p.h>

#include <glibmm/class.h>

namespace Gnome
{

namespace Gda
{

class Connection_Class : public Glib::Class
{
public:
#ifndef DOXYGEN_SHOULD_SKIP_THIS
  typedef Connection CppObjectType;
  typedef GdaConnection BaseObjectType;
  typedef GdaConnectionClass BaseClassType;
  typedef Glib::Object_Class CppClassParent;
  typedef GObjectClass BaseClassParent;

  friend class Connection;
#endif /* DOXYGEN_SHOULD_SKIP_THIS */

  const Glib::Class& init();


  static void class_init_function(void* g_class, void* class_data);

  static Glib::ObjectBase* wrap_new(GObject*);

protected:

  //Callbacks (default signal handlers):
  //These will call the *_impl member methods, which will then call the existing default signal callbacks, if any.
  //You could prevent the original default signal handlers being called by overriding the *_impl method.
  static void error_callback(GdaConnection* self, GdaConnectionEvent* p0);
  static void conn_opened_callback(GdaConnection* self);
  static void conn_to_close_callback(GdaConnection* self);
  static void conn_closed_callback(GdaConnection* self);
  static void dsn_changed_callback(GdaConnection* self);
  static void transaction_status_changed_callback(GdaConnection* self);

  //Callbacks (virtual functions):
};


} // namespace Gda

} // namespace Gnome


#endif /* _LIBGDAMM_CONNECTION_P_H */

